import { useState, useCallback } from 'react';
export function useHover(initial) {
    if (initial === void 0) { initial = false; }
    var _a = useState(initial), isHover = _a[0], setIsHover = _a[1];
    var onMouseEnter = useCallback(function () {
        setIsHover(true);
    }, []);
    var onMouseLeave = useCallback(function () {
        setIsHover(false);
    }, []);
    return {
        isHover: isHover,
        onMouseEnter: onMouseEnter,
        onMouseLeave: onMouseLeave,
    };
}
